# LTMorphingLabel
A morphing UILabel subclass written in Swift.
The ```.Scale``` effect is originally introduced by Apple in WWDC 2014. New morphing effects are available as Swift extensions. 

## enum LTMorphingEffect: Int, Printable

#### .Scale - _default_
<img src="https://cloud.githubusercontent.com/assets/219689/3491822/96bf5de6-059d-11e4-9826-a6f82025d1af.gif" width="300" height="70" alt="LTMorphingLabel"/>

#### [.Evaporate](https://github.com/lexrus/LTMorphingLabel/blob/master/LTMorphingLabel/LTMorphingLabel%2BEvaporate.swift)
<img src="https://cloud.githubusercontent.com/assets/219689/3491838/ffc5aff2-059d-11e4-970c-6e2d7664785a.gif" width="300" height="70" alt="LTMorphingLabel"/>

#### [.Fall](https://github.com/lexrus/LTMorphingLabel/blob/master/LTMorphingLabel/LTMorphingLabel%2BFall.swift)
<img src="https://cloud.githubusercontent.com/assets/219689/3491840/173c2238-059e-11e4-9b33-dcd21edae9e2.gif" width="300" height="70" alt="LTMorphingLabel"/>

#### [.Pixelate](https://github.com/lexrus/LTMorphingLabel/blob/master/LTMorphingLabel/LTMorphingLabel%2BPixelate.swift)
<img src="https://cloud.githubusercontent.com/assets/219689/3491845/29bb0f8c-059e-11e4-9ef8-de56bec1baba.gif" width="300" height="70" alt="LTMorphingLabel"/>

#### [.Sparkle](https://github.com/lexrus/LTMorphingLabel/blob/master/LTMorphingLabel/LTMorphingLabel%2BSparkle.swift)
<img src="https://cloud.githubusercontent.com/assets/219689/3491850/391cd320-059e-11e4-9804-698d4854c0c7.gif" width="300" height="70" alt="LTMorphingLabel"/>

## TODOs & Known issues
- [ ] Improve diff performance
- [ ] Text kerning
- [ ] Align to pixel
- [ ] Text shadow
- [ ] Multiline
- [ ] How to fade in/out Emoji?
- [ ] ```.FallDownAndFade``` is buggy
- [ ] Docs

## Usage
1. Copy LTMorphingLabel folder to your iOS 8 project;
2. Change the class of a label from UILabel to LTMorphingLabel;
3. Programatically set a new String to its text property.

## Unit tests
Open the project with Xcode 6 then press command + u.

## Contacts
Follow [Lex Tang](https://github.com/lexrus/) ([@lexrus on Twitter](https://twitter.com/lexrus/))

## License
This code is distributed under the terms and conditions of the MIT license.
